#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kvitable
version:              1.0.2.1
visibility:           public
id:                   kvitable-1.0.2.1-CgPgjwZnZ0rFP53PcxFyRV
key:                  kvitable-1.0.2.1-CgPgjwZnZ0rFP53PcxFyRV
license:              ISC
copyright:            Kevin Quick, 2021-2022
maintainer:           kquick@galois.com
author:               Kevin Quick
homepage:             https://github.com/kquick/kvitable
synopsis:             Key/Value Indexed Table container and formatting library
description:

    Allows creation of a table from a set of of Key+Value Indices.
    This differs from the standard '\''Map'\'' structure in that the '\''Map'\''
    simply indexes by value but the KVI table indexes by a
    heterogeneous list of keys along with their associated values.
    This effectively creates an N-dimensional table, where
    @N=Product(Count(Values[key]))@.  The table contents can be sparse.

    This library also provides the ability to format multi-dimensional
    data in a table presentation.  The table is automatically formatted
    and can be output in a number of different styles (ascii, html,
    etc.)

    Multi-dimensional data is more difficult to represent than simple
    two-dimensional data; this package provides the ability to select
    which dimensions should be represented as sub-rows and which
    dimensions should be represented as sub-columns.  See the README
    for examples

category:             Text
abi:                  47b09bdaaf64f94863d783281d61d191
exposed:              True
exposed-modules:
    Data.KVITable Data.KVITable.Render Data.KVITable.Render.ASCII
    Data.KVITable.Render.HTML

import-dirs:          /usr/lib/ghc-9.0.2/site-local/kvitable-1.0.2.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/kvitable-1.0.2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kvitable
hs-libraries:         HSkvitable-1.0.2.1-CgPgjwZnZ0rFP53PcxFyRV
depends:
    base-4.15.1.0 containers-0.6.4.1
    lucid-2.11.20230408-FNa0I3b4d7r4sUbRblEsgf
    microlens-0.4.13.1-AoR6D5midYZB5ErWoiySs4
    prettyprinter-1.7.1-CtNvMFFYlbOL2GzmBKSXtx text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-kvitable/html/kvitable.haddock
haddock-html:         /usr/share/doc/haskell-kvitable/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

